Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#32851 - [gparted] gksu should be an optional, not required, dependency

Attached to Project: Arch Linux
Opened by WorMzy Tykashi (WorMzy) - Sunday, 25 November 2012, 18:41 GMT
Last edited by Giovanni Scafora (giovanni) - Saturday, 15 December 2012, 08:24 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To Giovanni Scafora (giovanni)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 4
Private No

Details

Description:
gksu is an unnecessary dependency which drags in gtk3, libgnome-keyring, colord, etc.. gparted works fine with other ways of running graphical application as root, such as sux, and I think the user should be able to choose what they use.
This task depends upon

Closed by  Giovanni Scafora (giovanni)
Saturday, 15 December 2012, 08:24 GMT
Reason for closing:  Fixed
Comment by Christopher Reimer (CReimer) - Sunday, 25 November 2012, 22:54 GMT
I think it's better to set the provides variable for all these graphical SUs, just like the phonon-backends. Then the user can choose while installing.
Comment by Giovanni Scafora (giovanni) - Tuesday, 27 November 2012, 14:44 GMT
Starting from gparted-0.14.0-3, gksu is not a required dependency anymore.

Loading...